Bug 217236 - epiphany-extensions 2.16.0-1 does not compile
epiphany-extensions 2.16.0-1 does not compile
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: epiphany-extensions (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 09:47 EST by p-chan
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-03 07:36:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmbuild output (10.42 KB, text/plain)
2006-11-25 09:47 EST, p-chan
no flags Details

  None (edit)
Description p-chan 2006-11-25 09:47:46 EST
Description of problem:
epiphany-extensions-2.16.0-1.src.rpm does not compile.

Version-Release number of selected component (if applicable):
epiphany-extensions-2.16.0-1

How reproducible:
compile epiphany-extensions with rpmbuild

Steps to Reproduce:
1.rpmbuild --rebuild epiphany-extensions-2.16.0-1.src.rpm
2.
3.
  
Actual results:

....
....
checking which gecko to use... firefox
checking for compiler -fshort-wchar option... no
checking whether to enable C++ RTTI... no
checking whether we have a gtk 2 gecko build... configure: error: This program
needs a gtk 2 gecko build
error: Bad exit status from /var/tmp/rpm-tmp.74842 (%build)

Expected results:


Additional info:
I attach all the output.
Comment 1 p-chan 2006-11-25 09:47:46 EST
Created attachment 142113 [details]
rpmbuild output
Comment 2 p-chan 2006-11-25 09:52:15 EST
I forgot to say I try to build the package on a clean and updated FC6 install.
Comment 3 Peter Gordon 2006-12-02 12:36:59 EST
Do you have the firefox-devel and epiphany-devel packages installed? If so, what
versions? Does it build okay through Mock for you? 

What strikes me as very odd about this bug is that it builds just fine in Mock
(tested yesterday evening as I was updating it to 2.16.1-1) and a standard
`rpmbuild --rebuild`. Therefore, the BuildRequires are correct, and it seems
that, without any more information, this might be a problem specific to your
build environment. 
Comment 4 p-chan 2006-12-03 07:36:07 EST
With mock src builds fine. I close this bug.

Note You need to log in before you can comment on or make changes to this bug.